precision highp float;

varying vec2 v_texCoord;
uniform sampler2D u_texSampler;
uniform float u_imageWidth;
uniform float u_imageHeight;
uniform float u_floatParam;

void main() {
    vec4 color = texture2D(u_texSampler, v_texCoord);
    float y = dot(color, vec4(0.299, 0.587, 0.114, 0));
    y = clamp(y * u_floatParam * 2.0, 0.0, 1.0);
    gl_FragColor = vec4(y, y, y, color.a);
}