precision highp float;

varying vec2 v_texCoord;
uniform sampler2D u_texSampler;
uniform float u_imageWidth;
uniform float u_imageHeight;
uniform float u_floatParam;

#define iChannel0 u_texSampler

void main()
{
    vec2 fragCoord = v_texCoord;
    vec2 iResolution = vec2(u_imageWidth, u_imageHeight);

    vec2 uv = fragCoord.xy;

	vec3 tex = texture2D( iChannel0, uv ).rgb;
	float shade = dot(tex, vec3(0.333333));

	vec3 col = mix(vec3(0.1, 0.36, 0.8) * (1.0-2.0*abs(shade-0.5)), vec3(1.06, 0.8, 0.55), 1.0-shade);

    gl_FragColor = vec4(col,1.0);
}