precision mediump float;
uniform sampler2D tex_sampler_0;
uniform float u_floatParam;
varying vec2 v_texCoord;

void main() {
    float scale = 2.0 * u_floatParam - 1.0;
    vec4 color = texture2D(tex_sampler_0, v_texCoord);
    vec3 new_color = color.rgb;
    new_color.r = color.r + color.r * (1.0 - color.r) * scale;
    new_color.b = color.b - color.b * (1.0 - color.b) * scale;
    if (scale > 0.0) {
        new_color.g = color.g + color.g * (1.0 - color.g) * scale * 0.25;
    }
    float max_value = max(new_color.r, max(new_color.g, new_color.b));
    if (max_value > 1.0) {
        new_color /= max_value;
        }
    gl_FragColor = vec4(new_color, color.a);
}